/*
 *  The graphical definition element of deltaFSD
 *  fileops.h - header file for fileops.c - read/write data files 
 *	Copyright (C) 2003, 2004 DeDf, 45 Belper Road, Derby, DE1 3EP, UK
 */    
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
 *  The deltaFSD concept was developed by DeDf:
 *
 *		deltafsd@dedf.co.uk
 *
 *		www.dedf.co.uk/deltafsd
 *
 *		DeDf
 *		45 Belper Road
 *		Derby
 *		DE1 3EP
 *		UK
 *
 *		+44 1332 381481
 *
 */



#ifndef _FILEOPS_H_
#define _FILEOPS_H_
# include <gtk/gtk.h> 
# include <gnome-xml/parser.h>


void fileops ();
void file_read (GtkWidget *w, GtkFileSelection *fs);
void file_write (GtkWidget *w, GtkFileSelection *fs);
gdouble get_prop_val (xmlNodePtr node, xmlChar *name);
void set_prop_val (xmlNodePtr node, xmlChar *name, gdouble f);


#endif /* _FILEOPS_H_ */

