#!/usr/bin/perl

package main;
use Tk;

$INC[3]=detaint('.'); # otherwise our packages will be tainted
$ENV{'HOME'} = '/tmp'; # otherwise the main window will be tainted

require Meter;
require Slider;
require LCD;
require Radios;

my $mw = MainWindow->new();	

$mw->appname(detaint ($ARGV[0] ? $ARGV[0] : "tkPanel"));# app name for commuication

$mw->title("TkPanel");
$mw->Meter(-label=>'Power', -variable=>\$o[0])->grid(-row=>1, -column=>2);
$mw->LCD(-variable=>\$o[1])->grid(-row=>2, -column=>2);
$mw->Slider(-variable=>\$i[0], -label=>"Voltage")->grid(-row=>1, -column=>1);
$mw->Slider(-variable=>\$i[1], -label=>"Current")->grid( -row=>2, -column=>1, -rowspan=>2);
$mw->Radios(-variable=>\$i[2], -numb_radios=>3, -rvalues=>[1,2,5], -rprompts=>['x1','x2','x5'])->grid(-row=>3, -column=>2);

MainLoop;

sub Tk::Receive 
{
	my($mw, $cmd) = @_;
	return (eval (detaint($cmd)));
}

sub detaint
{
my ($t) = @_;
	$t =~ /(.*)/;
	return ($1);
}

